IWildCam_prompts = {
"bw_trail": [
            "a black and white image of a forest trail, with a narrow dirt path winding through the trees and undergrowth.",
            "a monochrome photo of a wooded path with roots and rocks along the way.",
            "a grayscale image of a trail through the woods, with leaves and branches scattered about.",
            "a black and white picture of a path meandering through a dense forest.",
            "a grayscale photo of a trail in a forest with sunlight filtering through the trees."
            ],
"c_trail": [
            "a color image of a forest trail, with a narrow dirt path winding through the trees and undergrowth",
            "a vibrant photo of a trail through a wooded area with lush greenery and colorful plants.",
            "a full-color image of a meandering path in a forest, with sunlight highlighting the foliage.",
            "a colorful photograph of a trail in a woodland setting, surrounded by green leaves and plants.",
            "an image with rich colors of a forest trail, showing the diverse plant life and tree species."
],
"bw_forest": [
            "a black and white image of a forest scene, with tall trees surrounding a variety of plants and ferns covering the forest floor",
            "a monochrome photo of a dense forest with various tree species and undergrowth.",
            "a grayscale image of a woodland landscape with towering trees and intricate vegetation.",
            "a black and white photograph of a forest setting, showing the complexity of the ecosystem.",
            "a monochrome picture of a forest, capturing the intricate patterns of branches and leaves."
],
"c_forest": [
            "a color image of a forest scene, with tall trees surrounding a variety of plants and ferns covering the forest floor",
            "a vibrant photo of a lush forest with diverse vegetation and colorful foliage.",
            "a full-color image of a woodland landscape, capturing the rich hues of the leaves and plants.",
            "a colorful photograph of a forest setting, showcasing the variety of plant and tree species.",
            "a bright, vivid image of a forest, with sunlight filtering through the canopy."
],
"bw_savanna": [
            "a black and white photo of a mix of grasslands and scattered trees",
            "a monochrome image of a savanna landscape, with open grassy areas and isolated trees.",
            "a grayscale picture of a savanna scene, showing the contrast between grasses and trees.",
            "a black and white photograph of a savanna, capturing the textures of grasses and tree trunks.",
            "a grayscale photo of a savanna environment, highlighting the sparse distribution of trees."
],
"c_savanna": [
            "a color photo of a mix of grasslands and scattered trees",
            "a vibrant image of a savanna landscape, with a variety of grasses and trees in different colors.",
            "a full-color picture of a savanna scene, showcasing the rich hues of the vegetation.",
            "a colorful photograph of a savanna environment, with sunlight highlighting the grasses and tree foliage.",
            "a bright, vivid photo of a savanna, displaying the diverse plant life and unique tree formations."
],
# "bw_tree_top": [
#             "a black and white image of tree tops, showing a canopy of green leaves and branches against a clear sky",
#             "a monochrome photo of a tree canopy, capturing the patterns and textures of leaves and branches.",
#             "a grayscale image of tree tops, highlighting the contrast between the foliage and the sky.",
#             "a black and white picture of a forest canopy, showcasing the intricate structure of tree branches.",
#             "a grayscale photograph of tree tops, with a grayscale photograph of tree tops, with a variety of leaf shapes and branch patterns against the sky."
# ],
# "c_tree_top": ["a color image of tree tops, showing a canopy of green leaves and branches against a clear sky",
#                "a vibrant photo of a tree canopy, displaying a variety of leaf colors and branch structures.",
#                "a full-color image of tree tops, with sunlight illuminating the leaves and creating a vivid contrast with the sky.",
#                "a colorful photograph of a forest canopy, showcasing the rich hues and diverse foliage in the treetops.",
#                "a bright, vivid image of tree tops, capturing the array of greens and other colors in the leaves and branches against the sky."
# ]
}

FMOW_prompts = {
    "Waterside": [
        "a satellite image of a scenic coastline with a sandy beach",
        "a satellite image of a river flowing through a natural landscape",
        "a satellite image of a lake surrounded by trees and vegetation",
        "a satellite image of a coastal village by the sea",
        "a satellite image of a marshland with diverse plant life",
        "a satellite image of a harbor with small boats and piers",
        "a satellite image of a rocky shoreline with waves crashing",
        "a satellite image of a waterfall cascading into a river",
        "a satellite image of a winding river through a forest",
        "a satellite image of an estuary where a river meets the ocean"
    ],
    "Urban": [
        "a satellite image of a bustling city center with tall buildings",
        "a satellite image of a dense network of streets and intersections",
        "a satellite image of a city park surrounded by urban development",
        "a satellite image of a city with a mix of residential and commercial areas",
        "a satellite image of a densely populated urban area at night",
        "a satellite image of a cityscape with a river running through it",
        "a satellite image of an urban area with a grid-like street pattern",
        "a satellite image of a sprawling city with distinct neighborhoods",
        "a satellite image of a city with a blend of modern and historical architecture",
        "a satellite image of a busy urban area with diverse land use"
    ],
    "Suburban": [
        "a satellite image of a residential neighborhood with tree-lined streets",
        "a satellite image of a suburban area with detached homes and yards",
        "a satellite image of a suburban community with parks and playgrounds",
        "a satellite image of a suburban neighborhood with cul-de-sacs",
        "a satellite image of a suburban area with a mix of housing styles",
        "a satellite image of a suburban development with nearby shopping centers",
        "a satellite image of a residential neighborhood with sidewalks and bike lanes",
        "a satellite image of a suburban community with green spaces",
        "a satellite image of a suburban neighborhood with winding roads",
        "a satellite image of a suburban area with interconnected neighborhoods"
    ],
    "Rural": [
        "a satellite image of a vast agricultural landscape with fields and farms",
        "a satellite image of a small rural village surrounded by nature",
        "a satellite image of a countryside with rolling hills and pastures",
        "a satellite image of a rural area with dirt roads and scattered houses",
        "a satellite image of a remote mountainous region with sparse population",
        "a satellite image of a rural landscape with a mix of forests and fields",
        "a satellite image of a countryside with small bodies of water",
        "a satellite image of a rural area with a network of trails and paths",
        "a satellite image of a remote landscape with diverse terrain",
        "a satellite image of a rural scene with a few scattered farmhouses"
    ],
    "Barren": [
        "a satellite image of a desert landscape with a long, straight road and scattered settlements",
        "a satellite image of a rocky terrain with sparse vegetation, dirt roads, and a few small structures",
        "a satellite image of a barren mountain range with a winding road and remote communication towers",
        "a satellite image of a vast, dry landscape with a remote settlement and agricultural fields",
        "a satellite image of a remote, rocky region with trails, paths, and a small mining operation",
        "a satellite image of a desert with a small oasis, surrounding roads, and a campground",
        "a satellite image of an arid, hilly terrain with scattered buildings and an airstrip",
        "a satellite image of a desolate area with a single road, power lines, and isolated infrastructure",
        "a satellite image of a barren volcanic landscape with a network of trails",
        "a satellite image of a sparsely populated area with a few isolated structures, roads, and solar panels"
    ]
}